org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfBookmarkContainerImpl

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
    - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfBookmarkContainerImpl

- All Implemented Interfaces:
    IRtfBookmarkContainer
  Direct Known Subclasses:
    RtfParagraph

      public class RtfBookmarkContainerImpl
      extends RtfContainer
      implements IRtfBookmarkContainer

  RTF Bookmark container implementation. Nearly all containers or elements can have a bookmark, that is why the bookmark container is implemented as stand alone.

  This work was authored by Andreas Putz (a.putz@skynamics.com).

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `attrib, parent, writer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RtfBookmark` | `newBookmark(String bookmark)` Create a new RTF bookmark.

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer

      `addChild, findChildren, getChildCount, getChildren, isEmpty, okToWriteRtf, setChildren, setOptions, toString, writeRtfContent`

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newBookmark

          public RtfBookmark newBookmark(String bookmark)
                                  throws IOException

      Create a new RTF bookmark.
      Specified by:
        `newBookmark` in interface `IRtfBookmarkContainer`
      Parameters:
        `bookmark` - Name of the bookmark
      Returns:
        RTF bookmark
      Throws:
        `IOException` - On eror

Copyright © 2023 Apache Software Foundation. All rights reserved.